For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Carts
      • Checkouts
      • Consent
      • Customers
      • Subscriptions
      • Form Fields
      • Orders
      • Pickup Options
          • POSTFind Available Pickup Options
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTStorefrontPickup Options

Find Available Pickup Options

POST
https://your_store.example.com/api/storefront/pickup-options
POST
/api/storefront/pickup-options
$curl -X POST https://your_store.example.com/api/storefront/pickup-options \
> -H "Accept: application/json" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "results": [
3 {
4 "pickupOptions": [
5 {
6 "pickupMethod": {
7 "id": 1,
8 "locationId": 2,
9 "displayName": "Office Pickup!",
10 "collectionInstructions": "Bring your ID!",
11 "collectionTimeDescription": "Collect during our opening hours of 0900 - 1700"
12 },
13 "availableItems": [
14 {
15 "variantId": 55,
16 "quantity": 12
17 }
18 ]
19 }
20 ]
21 }
22 ]
23}
Returns up to 10 available pickup options for the requested items around a radius of the provided search coordinates. The pickup options returned only include options where all requested items are available and can be picked up from a single location.
Was this page helpful?
Previous

Storefront Pickup Options

Next

Overview

Built with

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
searchAreaobjectOptional
Area where you are searching for pickup options.
itemslist of objectsOptional
Items you include in your search for pickup options.

Response

The request has been successfully processed.
resultslist of objects